TYPO3.Neos - Feature # 48424

Status: Needs Feedback Priority: Should have
Author: Berit Hlubek Category:

Created: 2013-05-21 Assigned To: Berit Hlubek
Updated: 2014-01-05 Due date:

Subiject: NodeTypes: Create a simple "EmbeddedNode"-Type

Description

We need basic NodeType which can be used as SuperType for more complexe NodeTypes which consist of a fixed structure.
For example: 2 images with two texts which will be shown inside a special JavaScript element.

In this case a SuperType is needed which can not be hidden or deleted in any case.

History

#1 - 2013-07-11 23:15 - Aske Ertmann

- Status changed from New to Needs Feedback

- Assigned To set to Berit Hlubek

Hi Berit

Is this really necessary? I'm not sure | understand why this is needed. AFAIK it is possible to create a node type with childNodes of specific types like

text or image and that way lock it to that structure. Then it's not possible to delete the sub node types..

#2 - 2013-08-17 15:52 - Jan-Erik Revsbech

- File 2013-08-17_1551.png added

I not 100% sure | understand all of it, but if | do, | agree with Berit, that this is needed.

If | define a childNode with a specifcif type (In my case, as simple type "Moc.Net:GridUnit", which has "TYPO3.Neos:Content" as supertype), than
things basically work, but the interface presents me with options to delete the node, and to insert other nodes after, which is not inteden (of course its

impossible to delete the node).

I will be happy to help fix this, but will need a little pointer as where to start.

#3 - 2014-01-05 19:10 - Andreas Wolf

| think Berit's aim is to provide a mechanism for fixed layout elements that have to be filled in every case (e.g. a feature image at the page top).
Therefore, these elements should not be deletable.

Probably this could also mean that a section inside a page can have a specific structure element that contains the image element and a text element
for the page headline, if you take the feature area at the page top as an example.
